Loading...
Searching...
No Matches
pcl::detail::AccumulatorNormal Struct Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Public Types

using | IsCompatible = pcl::traits::has_normal<boost::mpl::_1>

## Public Member Functions

template<typename PointT>
void | add (const PointT &t)
template<typename PointT>
void | get (PointT &t, std::size_t) const

## Public Attributes

Eigen::Vector4f | normal = Eigen::Vector4f::Zero ()

## Detailed Description

Definition at line 87 of file accumulators.hpp.

## Member Typedef Documentation

## IsCompatible

using pcl::detail::AccumulatorNormal::IsCompatible = pcl::traits::has_normal<boost::mpl::_1>

Definition at line 91 of file accumulators.hpp.

## Member Function Documentation

## add()

template<typename PointT>

void pcl::detail::AccumulatorNormal::add | ( | const PointT & | t | ) |

inline

Definition at line 99 of file accumulators.hpp.

References normal.

## get()

template<typename PointT>

void pcl::detail::AccumulatorNormal::get | ( | PointT & | t,
|  | std::size_t | ) const

inline

Definition at line 102 of file accumulators.hpp.

References normal.

## Member Data Documentation

## normal

Eigen::Vector4f pcl::detail::AccumulatorNormal::normal = Eigen::Vector4f::Zero ()

Definition at line 94 of file accumulators.hpp.

Referenced by add(), and get().

The documentation for this struct was generated from the following file:

- pcl/common/impl/accumulators.hpp